%define module 	XML-QL
%define version 0.07
%define release %mkrel 8

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{module}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  perl-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl-libwww-perl
BuildArch:	noarch

%description
%{module} - An XML query language.

%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML

%changelog
* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-8mdk
- Fix According to perl Policy
	- BuildRequires
	- URL
	- Source URL
- use mkrel

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.07-7mdk
- Own dir

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.07-6mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Pixel <pixel@mandrakesoft.com> 0.07-5mdk
- add "BuildRequires: perl-devel"

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.07-4mdk
- rebuild for perl 5.8.0

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.07-3mdk
- rebuild

* Tue Feb 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.07-2mdk
- little changes in licence

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.07-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release

